#!/usr/bin/ruby
# encoding: utf-8

class MobilerecScreen	
	def initialize(extlayers, button)
		@layers = Array.new
		
		fixed = Gtk::Fixed.new
		text5 = Gtk::Label.new
		text5.width_request = 250
		text5.wrap = true
		text5.set_markup("<span color='white'>Klicken Sie hier, um mit Ihren Einstellungen fortzufahren.</span>")
		forw  = Gtk::EventBox.new.add Gtk::Image.new("forward.png")
		
		orangetile = Gtk::EventBox.new.add Gtk::Image.new("neutralred.png")
		# reread = Gtk::EventBox.new.add Gtk::Image.new("buttongreen.png")
		reread = Gtk::Button.new("Neu einlesen")
		reread.width_request = 120
		reread.height_request = 32
		drivecombo = Gtk::ComboBox.new
		drivecombo.append_text("Huawei X123 8GB (sdf)")
		drivecombo.append_text("Huawei X123 32GB (sdg)")
		drivecombo.active = 0
		drivecombo.height_request = 32
		drivecombo.width_request = 380
		deltext = TileHelpers.create_label("Auf welchem Laufwerk wollen Sie nach verlorenen Dateien suchen? Falls Kamera, SD-Karte oder Smartphone noch nicht angeschlossen sind, stellen Sie dieses jetzt auf \"Massenspeichermodus\", schließen Sie es an und klicken Sie auf \"Neu einlesen\". Anschließend wählen Sie das Laufwerk aus.", 510)		
		fixed.put(forw, 853, 282)
		fixed.put(text5, 630, 288)
		fixed.put(orangetile, 0, 0)
		fixed.put(deltext, 130, 0)
		fixed.put(reread, 520, 88)
		fixed.put(drivecombo, 130, 88)
		TileHelpers.place_back(fixed, extlayers)
		extlayers["mobilerecstart"] = fixed
		@layers[0] = fixed
		button.signal_connect('button-release-event') { |x, y|
			if y.button == 1 
				extlayers.each { |k,v|v.hide_all }
				extlayers["mobilerecstart"].show_all
			end
		}
		
		
		
	end
	
	attr_reader :layers
end